petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexSetRefinementLimit

Set the maximum cell volume for refinement

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetRefinementLimit(DM dm, PetscReal refinementLimit)

### Input Parameters

| dm | - The DM
| refinementLimit | - The maximum cell volume in the refined mesh

### See Also

DMRefine(), DMPlexGetRefinementLimit(), DMPlexGetRefinementUniform(), DMPlexSetRefinementUniform()

### Level

developer

### Location

src/dm/impls/plex/plexrefine.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages